com.microfocus.awm.meta.interfaces

## Enum ESpecialProperties

- java.lang.Object
- - java.lang.Enum<ESpecialProperties>
  - - com.microfocus.awm.meta.interfaces.ESpecialProperties

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ESpecialProperties>, org.eclipse.emf.common.util.Enumerator

      public enum ESpecialProperties
      extends java.lang.Enum<ESpecialProperties>
      implements org.eclipse.emf.common.util.Enumerator

  Enumeration class for special properties: NONE, ElementType, ElementSuffix, MarkerLineNumber, PropertyGroup
  See Also:
    `TaurusPackage.getESpecialProperties()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ELEMENT_SUFFIX` The 'Element Suffix' literal object.
    `ELEMENT_TYPE` The 'Element Type' literal object.
    `MARKER_LINE_NUMBER` The 'Marker Line Number' literal object.
    `NONE` The 'NONE' literal object.
    `PROPERTY_GROUP` The 'Property Group' literal object.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ELEMENT_SUFFIX_VALUE` The 'Element Suffix' literal value.
    `static int` | `ELEMENT_TYPE_VALUE` The 'Element Type' literal value.
    `static int` | `MARKER_LINE_NUMBER_VALUE` The 'Marker Line Number' literal value.
    `static int` | `NONE_VALUE` The 'NONE' literal value.
    `static int` | `PROPERTY_GROUP_VALUE` The 'Property Group' literal value.
    `static java.util.List<ESpecialProperties>` | `VALUES` A public read-only list of all the 'ESpecial Properties' enumerators.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ESpecialProperties` | `get(int value)` Returns the 'ESpecial Properties' literal with the specified integer value.
    `static ESpecialProperties` | `get(java.lang.String literal)` Returns the 'ESpecial Properties' literal with the specified literal value.
    `static ESpecialProperties` | `getByName(java.lang.String name)` Returns the 'ESpecial Properties' literal with the specified name.
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
    `static ESpecialProperties` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ESpecialProperties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final ESpecialProperties NONE

      The 'NONE' literal object.
      See Also:
        `NONE_VALUE`

    - #### ELEMENT_TYPE

          public static final ESpecialProperties ELEMENT_TYPE

      The 'Element Type' literal object.
      See Also:
        `ELEMENT_TYPE_VALUE`

    - #### ELEMENT_SUFFIX

          public static final ESpecialProperties ELEMENT_SUFFIX

      The 'Element Suffix' literal object.
      See Also:
        `ELEMENT_SUFFIX_VALUE`

    - #### MARKER_LINE_NUMBER

          public static final ESpecialProperties MARKER_LINE_NUMBER

      The 'Marker Line Number' literal object.
      See Also:
        `MARKER_LINE_NUMBER_VALUE`

    - #### PROPERTY_GROUP

          public static final ESpecialProperties PROPERTY_GROUP

      The 'Property Group' literal object.
      See Also:
        `PROPERTY_GROUP_VALUE`

  - ### Field Detail

    - #### NONE_VALUE

          public static final int NONE_VALUE

      The 'NONE' literal value.
      See Also:
        `NONE`, Constant Field Values

    - #### ELEMENT_TYPE_VALUE

          public static final int ELEMENT_TYPE_VALUE

      The 'Element Type' literal value.
      See Also:
        `ELEMENT_TYPE`, Constant Field Values

    - #### ELEMENT_SUFFIX_VALUE

          public static final int ELEMENT_SUFFIX_VALUE

      The 'Element Suffix' literal value.
      See Also:
        `ELEMENT_SUFFIX`, Constant Field Values

    - #### MARKER_LINE_NUMBER_VALUE

          public static final int MARKER_LINE_NUMBER_VALUE

      The 'Marker Line Number' literal value.
      See Also:
        `MARKER_LINE_NUMBER`, Constant Field Values

    - #### PROPERTY_GROUP_VALUE

          public static final int PROPERTY_GROUP_VALUE

      The 'Property Group' literal value.
      See Also:
        `PROPERTY_GROUP`, Constant Field Values

    - #### VALUES

          public static final java.util.List<ESpecialProperties> VALUES

      A public read-only list of all the 'ESpecial Properties' enumerators.

  - ### Method Detail

    - #### values

          public static ESpecialProperties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ESpecialProperties c : ESpecialProperties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ESpecialProperties valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static ESpecialProperties get(java.lang.String literal)

      Returns the 'ESpecial Properties' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static ESpecialProperties getByName(java.lang.String name)

      Returns the 'ESpecial Properties' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static ESpecialProperties get(int value)

      Returns the 'ESpecial Properties' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<ESpecialProperties>`

Copyright © 2015 Micro Focus GmbH. All rights reserved.